Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::scene::SVertexColorDesaturateToLightnessManipulator Class Reference

Vertex manipulator which desaturates the color values. More...

`#include <SVertexManipulator.h>`

Inheritance diagram for irr::scene::SVertexColorDesaturateToLightnessManipulator:

List of all members.

## Public Member Functions
void | operator() (video::S3DVertex &vertex) const

## Detailed Description

Vertex manipulator which desaturates the color values.

Uses the lightness value of the color.

Definition at line 160 of file SVertexManipulator.h.

## Member Function Documentation

void irr::scene::SVertexColorDesaturateToLightnessManipulator::operator() | ( | video::S3DVertex & | vertex | ) | const`[inline]`

Definition at line 163 of file SVertexManipulator.h.

References irr::video::S3DVertex::Color, and irr::core::round32().

The documentation for this class was generated from the following file:

- SVertexManipulator.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:09 2010 by Doxygen (1.6.2)